#include<iostream>
#include<cstring>
using namespace std;
int main()
{
    char cd,niz[1000];
    cin>>niz>>cd;
    if(cd=='c')
    {
        for(int i=0; niz[i]!='\0'; i++)
        {
            if(niz[i]=='u')
            {
                cout<<"ufu";
            }
            else
            {
                if(niz[i]=='o')
                {
                    cout<<"ofo";
                }
                else
                {
                    if(niz[i]=='y')
                    {
                        cout<<"yfy";
                    }
                    else
                    {
                        if(niz[i]=='a')
                        {
                            cout<<"afa";
                        }
                        else
                        {
                            if(niz[i]=='i')
                            {
                                cout<<"ifi";
                            }
                            else
                            {
                                if(niz[i]=='e')
                                {
                                    cout<<"efe";
                                }
                                else
                                {
                                    if(niz[i]=='Y')
                                    {
                                        cout<<"YfY";
                                    }
                                    else
                                    {
                                        if(niz[i]=='O')
                                        {
                                            cout<<"OfO";
                                        }
                                        else
                                        {
                                            if(niz[i]=='E')
                                            {
                                                cout<<"EfE";
                                            }
                                            else
                                            {
                                                if(niz[i]=='U')
                                                {
                                                    cout<<"UfU";
                                                }
                                                else
                                                {
                                                    if(niz[i]=='I')
                                                    {
                                                        cout<<"IfI";
                                                    }
                                                    else
                                                    {
                                                        if(niz[i]=='A')
                                                        {
                                                            cout<<"AfA";
                                                        }
                                                        else
                                                        {
                                                            cout<<niz[i];
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

    }
    else
    {
        if(cd=='d')
        {
            for(int i=0; niz[i]!='\0'; i++)
        {
            if(niz[i]=='u')
            {
                cout<<"u";
                i+=2;
            }
            else
            {
                if(niz[i]=='o')
                {
                    cout<<"o";
                    i+=2;
                }
                else
                {
                    if(niz[i]=='y')
                    {
                        cout<<"y";
                        i+=2;
                    }
                    else
                    {
                        if(niz[i]=='a')
                        {
                            cout<<"a";
                            i+=2;
                        }
                        else
                        {
                            if(niz[i]=='i')
                            {
                                cout<<"i";
                                i+=2;
                            }
                            else
                            {
                                if(niz[i]=='e')
                                {
                                    cout<<"e";
                                    i+=2;
                                }
                                else
                                {
                                    if(niz[i]=='Y')
                                    {
                                        cout<<"Y";
                                        i+=2;
                                    }
                                    else
                                    {
                                        if(niz[i]=='O')
                                        {
                                            cout<<"O";
                                            i+=2;
                                        }
                                        else
                                        {
                                            if(niz[i]=='E')
                                            {
                                                cout<<"E";
                                                i+=2;
                                            }
                                            else
                                            {
                                                if(niz[i]=='U')
                                                {
                                                    cout<<"U";
                                                    i+=2;
                                                }
                                                else
                                                {
                                                    if(niz[i]=='I')
                                                    {
                                                        cout<<"I";
                                                        i+=2;
                                                    }
                                                    else
                                                    {
                                                        if(niz[i]=='A')
                                                        {
                                                            cout<<"A";
                                                            i+=2;
                                                        }
                                                        else
                                                        {
                                                            cout<<niz[i];
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }


    }

    }

    return 0;
}
